<?php

/********************************************************************
 * 
 * アクティビティ関連処理
 * 
 ********************************************************************/

//共通処理呼び出し
$require_login = false; //ログイン必要
require_once("../common.php");

//キャッシュ無効
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma:no-cache');

$action = filter_input(INPUT_GET, 'action'); //操作内容(get, readed)
if ($action == "readed") {
    //すべて既読にする
    try {
        $stmt = $db->prepare("update activity set read = 1");
        $result = $stmt->execute();
    } catch (Exception $ex) {
        echo '{"status":"error", "message","' . $ex->getMessage()  . '"}';
        exit;
    } finally {
        $db->close();
    }
    echo '{"status":"success"}';
    exit;
}

$format = filter_input(INPUT_GET, 'format') ?? "json"; //処理方式(json, html)
$no_read_only = filter_input(INPUT_GET, 'no_read_only', FILTER_VALIDATE_BOOLEAN) ?? 0; //新着のみにするかどうか

//一覧取得
$read = "";
if ($no_read_only) {
    $read = "and read <> 1";
}

try {
    $html = "<ul>";
    $result_array = array();
    date_default_timezone_set('Asia/Tokyo');
    $date = date("Y-m-d H:i:s");
    $stmt = $db->prepare("select count(*) as count, articles.like as total, articles.id, articles.title,action from activity inner join articles on activity.target = articles.id where action = 'like'  " . $read . " group by target limit 15");
    $result = $stmt->execute();
    $idx = 0;
    while ($row = $result->fetchArray()) {
        $result_array[$idx] = array('target' => $row['id'], 'title' => $row['title'], 'count' => $row['count'], 'total' => $row['total'], 'action' => $row['action']);

        $html = $html . "<li><a href='./view.php?id=" . $row['id'] . "'>「" . $row['title'] . "」</a> が <em>" . $row['total'] . "</em>回「いいね！」されました</li>";

        $idx++;
    }
    if ($idx == 0) {
        echo "";
        exit;
    }
    if ($format == "json") {
        echo json_encode($result_array, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
    } else {
        $html = $html . "</ul>";
        echo $html;
    }
} catch (Exception $ex) {
    echo '{"status":"error", "message","' . $ex->getMessage()  . '"}';
} finally {
    $db->close();
}
