<?php

/********************************************************************
 * 
 * 記事 削除処理
 * 　　GET : target 削除対象となるLogのID。必須。
 * 
 ********************************************************************/
//クローラー判定
$userAgent = $_SERVER['HTTP_USER_AGENT'];
$isCrawler = preg_match('/bot|crawl|slurp|spider/i', $userAgent);
if ($isCrawler) {
  //とりあえず成功ということにしとく
  echo '{"status":"success"}';
  exit();
}

//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("../common.php");

$target = filter_input(INPUT_POST, 'target', FILTER_SANITIZE_NUMBER_INT); //処理対象LOG ID
if (!$target) {
  header('Location: ../console.php');
  exit;
}

try {
  $db->exec('begin Immediate');
  //ファイルの削除
  $stmt = $db->prepare('SELECT * FROM images Where article_id= :id');
  $stmt->bindValue(':id', $target);
  $result = $stmt->execute();
  while ($row = $result->fetchArray()) {
    if (file_exists("../images/{$row["file_name"]}")) {
      unlink("../images/{$row["file_name"]}");
    }
    if (file_exists("../images/{$row["thumb_name"]}")) {
      unlink("../images/{$row["thumb_name"]}");
    }
    if (file_exists("../images/{$row["thumb_l_name"]}")) {
      unlink("../images/{$row["thumb_l_name"]}");
    }
  }
  //ログの更新
  $stmt = $db->prepare("delete From articles where id=:id");
  $stmt->bindValue(':id',  $target);
  $result = $stmt->execute();

  $stmt = $db->prepare("delete from images where article_id=:id");
  $stmt->bindValue(':id',  $target);
  $result = $stmt->execute();
  $db->exec('commit;');
} catch (Exception $ex) {
  echo '{"status":"error", "message","' . $ex->getMessage()  . '"}';
} finally {
  $db->close();
}

try {
  if ($SETTING["use_portal_feed"]) {
    require_once("./feed.php");
    removeRequest($target);
  }
} catch (Exception $ex2) {
}

echo '{"status":"success"}';
