<?php

/********************************************************************
 * 
 * 画像登録処理
 * 　　POST : $id 必須。関連付けするLOGのID
 *         : $idx 必須。画像に割り当てるインデックス番号。
 *         : $_FILES['images'] 必須。登録する画像の配列。
 * 
 ********************************************************************/

//イメージアップロード処理
// 1ファイルの画像を受信し、ファイルとして保存する。

//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("../common.php");


//入力値フィルタリング
$id = filter_input(INPUT_POST, 'id', FILTER_SANITIZE_NUMBER_INT);
$image_idx =  filter_input(INPUT_POST, 'index', FILTER_SANITIZE_NUMBER_INT);
if (!$id || !$image_idx) {
  $db->close();
  echo '{"status":"error", "message":"パラメータが不正です"}';
  exit;
}

//ファイルの追加
if (isset($_FILES['images'])) {
  try {
    foreach ($_FILES['images']['tmp_name'] as $index => $tmpName) {

      $fileName = $_FILES['images']['name'][$index];
      $fileName = preg_replace('/\.jpeg$/i', '.jpg', $fileName); //jpegをjpgに変更
      $fileSize = $_FILES['images']['size'][$index];
      $extension = substr($fileName, strrpos($fileName, '.') + 1);
      $newFileName = "image_" . $id . "_" . $image_idx . "." .  strtolower($extension);
      $thumbFileName = "image_" . $id . "_" . $image_idx . ".jpg"; //サムネイルはJPG固定

      require_once('imageEdit.php');
      //リサイズ
      $imginfo = createResizeImage($tmpName, $SETTING['resize_border'], $SETTING['resize_border'], "../images/$newFileName", 90);

      //大サムネイル作成
      $thumb_l_info = createResizeImage($tmpName, 900, 0, "../images/thumb_l_$thumbFileName", 80);

      //小サムネイル作成
      $thumb_info = createResizeImage($tmpName, 300, 300, "../images/thumb_$thumbFileName", 80);

      $stmt = $db->prepare("INSERT INTO images (article_id, image_id, sort, file_name, width, height, thumb_l_name, thumb_l_width, thumb_l_height, thumb_name, thumb_width, thumb_height ) " .
        "VALUES (:article_id, :image_id, :sort, :newFileName, :width, :height, :thumb_l_name, :thumb_l_width, :thumb_l_height,:thumb_name, :thumb_width, :thumb_height)");
      $stmt->bindValue(':article_id', $id);
      $stmt->bindValue(':image_id', $image_idx);
      $stmt->bindValue(':sort', 999);
      $stmt->bindValue(':newFileName', $newFileName);
      $stmt->bindValue(':width', $imginfo['width']);
      $stmt->bindValue(':height', $imginfo['height']);
      $stmt->bindValue(':newFileName', $newFileName);
      $stmt->bindValue(':width', $imginfo['width']);
      $stmt->bindValue(':height', $imginfo['height']);
      $stmt->bindValue(':thumb_l_name', 'thumb_l_' . $thumbFileName);
      $stmt->bindValue(':thumb_l_width', $thumb_l_info['width']);
      $stmt->bindValue(':thumb_l_height', $thumb_l_info['height']);
      $stmt->bindValue(':thumb_name', 'thumb_' . $thumbFileName);
      $stmt->bindValue(':thumb_width', $thumb_info['width']);
      $stmt->bindValue(':thumb_height', $thumb_info['height']);

      $result = $stmt->execute();

      $image_idx++;
    }
  } catch (Exception $ex) {
    echo '{"status":"error", "message":"' . $db->lastErrorMsg() . '"}';
  } finally {
    $db->close();
  }
}


//結果を出力
echo '{"status":"success", "file_name":"' . $newFileName . '"}';
