<?php
//------------------------------------------------------------------
// 設定テーブル 直接編集ツール
//------------------------------------------------------------------


//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("./common.php");

// テーブル名
$table_name = 'setting';

// テーブルのカラム一覧を取得
$result = $db->query("PRAGMA table_info($table_name)");

// カラム名を配列に格納
$column_names = array();
while ($column = $result->fetchArray()) {
    $column_names[] = $column['name'];
}

// テーブルからデータを取得
$data_result = $db->query("SELECT * FROM $table_name LIMIT 1");
$data = $data_result->fetchArray(SQLITE3_ASSOC);

$msg = "";

// データの更新
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $update_values = array();
    $sql = "UPDATE " . $table_name . ' SET ';
    foreach ($column_names as $column_name) {

        $sql .= $column_name . ' = :' . $column_name . ',';
    }

    $sql = substr($sql, 0, -1);
    $stmt = $db->prepare($sql);

    foreach ($column_names as $column_name) {


        $stmt->bindValue(':' . $column_name,  $_POST[$column_name] ?? "");
    }


    $result = $stmt->execute();
    $msg = '設定を更新しました';

    $data_result = $db->query("SELECT * FROM $table_name LIMIT 1");
    $data = $data_result->fetchArray(SQLITE3_ASSOC);
}
$db->close();

$comments = [
    "id" => "", "site_title" => "サイト名", "display_name" => "作者名", "mail_address" => "メールアドレス",
    "thumbnail_type" => "サムネイルタイプ", "instruction_text" => "[m]サイト説明文",
    "instruction_text_use_html" => "HTML使用有無", "twitter_card_text" => "TwitterCard用サイト概要",
    "nsfw" => "NSFW警告有無", "show_title" => "バナーにタイトルを表示するかどうか", "use_icon" => "ユーザーアイコンを表示するか",
    "use_banner" => "タイトルバナーを表示するか", "use_favicon" => "Faviconを使用するか", "use_ogimage" => "サイト概要画像を使用するか",
    "image_color" => "イメージカラー(#FFFFFF形式）", "use_static_generation" => "", "static_index_file_path" => "",
    "static_log_file_dir" => "", "use_tag_cloud" => "トップページにタグクラウドを表示するか", "index_articles" => "トップページに表示する記事数",
    "tweet_service" => "Tweet連携サービスURL", "tweet_service_key" => "Tweet連携サービスKEY", "use_feedback" => "Fav,Likeを使用するか", "move_link_type" => "前後移動の形式",
    "use_comment" => "コメント機能を使用するか", "resize_border" => "画像リサイズの閾値", "exclude_index_list_tag" => "インデックスページの一覧に非表示にしたい記事のタグ。スペース区切り",
    "use_guestwrite" => "ゲスト書き込みモードを有効にするか", "show_likes" => "いいね数を公開するか",
    "guest_attention" => "[m]ゲスト書き込みページ用説明文",
    "use_portal_feed" => "PORTALに掲載するかどうか",
    'portal_feed_urls' => "更新通知URL。カンマ区切り",
    "exclude_portal_post_tags" => 'PORTALに送信しない記事のタグ',
];
//キャッシュ無効
header('Cache-Control: no-store, no-cache, must-revalidate');
header('Cache-Control: post-check=0, pre-check=0', FALSE);
header('Pragma:no-cache');
?>
<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>詳細設定画面</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="icon" href="./resource/icon.png">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-Control" content="no-cache">
    <link rel="stylesheet" href="./style/system.css">
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">
    <script src="./script/console.js?ver=<?= $VERSION ?>"></script>
    <style>
        input {
            border: 1px solid #999
        }
    </style>
</head>

<body>
    <div id="header">
        <a id="back-link" href="./index.php" class="header-link-exit">&lt; TOP</a>
        <div id="header-option-link-area">
            <span id="notification-link" href=""><i id="notification" class="fa-regular fa-bell font-size:1em"></i></span>
            <a id="setting-link" href="./setting.php"><i class="fa-solid fa-gear font-size:1em"></i>設定</a>
            <a id="logout-link" href="./logout.php">ログアウト</a>
        </div>
    </div>
    <div id="base">
        <div id="contents-area">
            <p>
                ※設定値を直接書き換えます。誤った設定を行うと動作しなくなることがあるのでご注意ください。
            </p>
            <form method="post">
                <table>
                    <?php
                    foreach ($column_names as $column_name) {
                        if (isset($comments[$column_name])) {
                            echo '<tr><td>';
                            echo '<label>' . $column_name . '</label></td>';
                            if (strstr($comments[$column_name], "[m]")) {
                                echo '<td><textarea name="' . $column_name . '">' . h($data[$column_name]) . '</textarea>';
                            } else {
                                echo '<td><input type="text" name="' . $column_name . '" value="' . h($data[$column_name]) . '"></td>';
                            }

                            echo '<td>' . $comments[$column_name] . '</td>';
                        }
                    }
                    ?>
                </table>
                <input type="submit" value="保存"> <?= $msg ?>
            </form>
        </div>
    </div>
</body>

</html>

<?php
// SQLite3データベースとの接続を閉じる
$db->close();

?>