<?php
ini_set('display_errors', "Off");

//https専用なのでリダイレクトする
/*
if (empty($_SERVER['HTTPS']) && !strstr($_SERVER['HTTP_HOST'], "127.0.0.1") && !strstr($_SERVER['HTTP_HOST'], "192.168.")) {
    header("Location: https://{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}");
    exit;
}*/

$systemsetting_file = './env/system_setting.php';
$usersetting_file = './env/user_setting.php';

if (!file_exists($systemsetting_file) || !file_exists($usersetting_file)) {
    //システム初期化
    header('Location: initialize.php');
    exit;
}
require_once($systemsetting_file);
require_once($usersetting_file);
require_once("./token.php");

if (file_exists("./demo.php")) {
    $DEMO_USER = "demo";
    $DEMO_PASSWORD = "Password123";
    $DEMO_MESSAGE = "デモサイトです。このままログインできます。";
} else {
    $DEMO_USER = "";
    $DEMO_PASSWORD = "";
    $DEMO_MESSAGE = "";
}
$message = "";
$addmessage = "";

//移動先ページURL
$requestpage = filter_input(INPUT_GET, 'request') ?? "console.php";
$force = filter_input(INPUT_GET, 'force') ?? "";
$apptitle = filter_input(INPUT_GET, 'apptitle') ?? "";

//ログイントークン確認
$token = checkToken("./");
if ($token && $force == "") {
    //トークン持ってる
    refreshToken("./");
    header('Location: console.php');
}

//外部連携用ログインメッセージ
if ($apptitle) {
    $addmessage = "外部サービス「{$apptitle}」からの書き込みを許可しますか？<br>許可する場合はログインしてください。<br><br>";
}

if (isset($_POST['submit'])) {
    $user_name = filter_input(INPUT_POST, 'username');
    $password = filter_input(INPUT_POST, 'password');

    //$sys_usernameおよび$sys_passwordはusersetting.phpにて定義されている
    if ($user_name == $sys_username && password_verify($password, $sys_password)) {
        publishToken("./", $user_name);

        // ログイン成功
        header('Location: ' . $requestpage);
        exit;
    } else {
        // ログイン失敗のメッセージ
        $message = "ユーザ名またはパスワードが正しくありません。";
    }
}

// ログアウト処理
if (isset($_POST['logout'])) {
    // セッション変数を削除
    clearToken("./");

    // ログアウトメッセージ
    $message = "ログアウトしました。";
}
?>

<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>管理画面ログイン</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="icon" href="./resource/icon.png">
    <link rel="stylesheet" href="https://maxst.icons8.com/vue-static/landings/line-awesome/line-awesome/1.3.0/css/line-awesome.min.css">

    <style>
        #container {
            display: flex;
            justify-content: center;
            align-items: center;

            width: 100%;
            height: 100vh;
        }

        #login-button {
            display: block;
            margin: 3em auto 0 auto;
        }

        table {
            margin: 0 auto 0 auto;
        }

        tr {
            height: 2.5em;
        }

        #message {
            width: 100%;
            display: block;
            color: #f00;
            font-size: 0.9em;
            text-align: center;
            margin: 2em auto 2em auto;

        }

        label {
            margin-right: 3em;
        }
    </style>
</head>

<body>
    <div id="header">
        <a id="top-link" href="./index.php">
            &lt; TOP</a>
    </div>

    <body>
        <div id="container">

            <div class="login-area">
                <div style="text-align:center">
                    <?php
                    if (empty($_SERVER['HTTPS'])) {
                        $protocol = "https";
                        $host = $_SERVER['HTTP_HOST'];
                        $url = $protocol . "://" . $host . $_SERVER['REQUEST_URI'];
                        echo '<span style="color:#f00">セキュリティ強化のため、HTTPSでのアクセスを推奨しています</span><br>';
                        echo '<a href="' . $url . '">[HTTPSに変更]</a>';
                    }
                    ?>
                </div>
                <form action='' method='post'>
                    <?= $addmessage ?>
                    <table>
                        <tr>
                            <td><label for='username'>ユーザ名</label></td>
                            <td><input type='text' id='username' name='username' class="flat-input" value="<?= $DEMO_USER ?>"></td>
                        </tr>
                        <tr>
                            <td><label for='password'>パスワード</label></td>
                            <td><input type='password' id='password' name='password' class="flat-input" value="<?= $DEMO_PASSWORD ?>"></td>
                        </tr>
                    </table>

                    <span id="message"><?php echo $message; ?> <?= $DEMO_MESSAGE ?></span>
                    <input type='submit' name='submit' value='ログイン' class="button" id="login-button">
                </form>
            </div>

    </body>

</html>