<?php

/*************************************************
 * 
 * NSFW確認画面
 * 
 *************************************************/


$require_login = false; //ログイン不要
$no_nsfw_check = true; //common内でのNSFW Checkを無効化
require_once("./common.php");
$db->close();

//入力値の受け取り
$NSFW_CONSENT =  filter_input(INPUT_GET, 'nsfw') ?? "";
$nsfw_title =  filter_input(INPUT_GET, 'title');
$request =  filter_input(INPUT_GET, 'request') ?? "";
$location = "";


if ($NSFW_CONSENT == "true") {
    //NSFW許可をCookieに登録
    $cookie_expires = time() + 30 * 24 * 3600;
    setcookie('nsfw_consent', '1', $cookie_expires);

    if ($request != "") {
        //記事番号が指定されている場合はその記事に飛ぶ
        header("Location: view.php?id=" . $request . "&back_url=" . $BACK_URL);
        exit;
    }
    header("Location: index.php");
    exit;
} else if ($NSFW_CONSENT == "false") {
    setcookie('nsfw_consent', '0', $cookie_expires);
    header("Location: https://www.google.com");
    exit;
}
//Cookie確認
$NSFW_CONSENT = filter_input(INPUT_COOKIE, 'nsfw_consent') ?? 0;
if ($NSFW_CONSENT == 1) {
    //同意済み
    header("Location: index.php");
    exit;
}

$comment = "サイト";
$cancel = "退出します";
$cancel_url = './nsfw.php?nsfw=false';
$location = "";
$title = $SETTING['site_title'];
if ($nsfw_title) {
    $comment = "記事";
    $cancel = "いいえ、戻ります";
    $title = $nsfw_title;
    $cancel_url = './index.php';
}
if ($request != "") {
    $location = "&request=$request";
}

?>

<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title><?= $SETTING['site_title']; ?> NSFW確認画面</title>

    <meta name="description" content="<?php echo $card_comment; ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">

    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.13.2/jquery-ui.min.js"></script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">
    <script src="./script/common.js?ver=<?= $VERSION ?>"></script>
    <script>
        $(async function() {
            $('#conform_button').on('click', function() {
                location.href = "./nsfw.php?nsfw=true<?= $location ?>";
            });

            $("#cancel_button").on("click", function() {
                location.href = "<?= $cancel_url ?>";
            });
        });
    </script>
    <style>
        div#base {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        h1 {
            margin-bottom: 1em;
        }

        .button {
            margin: 2em;
            width: 20em;
            height: 4em;

        }
    </style>
</head>

<body>
    <div id="base">
        <h1><?= $title ?></h1>
        <div id="contents_area">
            <p>
                この<?= $comment ?>には18歳未満の方に不適切な表現が含まれます<br>
            </p>
            <p>
                あなたは18歳以上ですか？
            </p>
        </div>
        <div id="control">
            <button id="conform_button" class="button button_force">18歳以上でNSFWコンテンツの閲覧に同意します</button><br>
            <button id="cancel_button" class="button button_normal"><?= $cancel ?></button>
        </div>
    </div>

</body>

</html>