<?php
//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("./common.php");
$msg = "";
// データの更新
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if ($_POST['delete_id'] ?? "") {

        require_once("./api/feed.php");
        removeRequest($_POST['delete_id']);
        echo '{"status":"success"}';
        exit;
    } else if ($_POST['use_portal_feed'] ?? "") {
        $column_names = array();
        $column_names[] = "use_portal_feed";
        $column_names[] = "portal_feed_urls";
        $column_names[] = "portal_tags";
        $column_names[] = "portal_post_tags";
        $column_names[] = "exclude_portal_post_tags";
        if ($_POST["use_portal_feed"]) {
            $_POST["use_portal_feed"] = 1;
        } else {
            $_POST["use_portal_feed"] = 0;
        }

        $update_values = array();
        $sql = "UPDATE setting SET ";
        foreach ($column_names as $column_name) {
            $sql .= $column_name . ' = :' . $column_name . ',';
        }
        $sql = substr($sql, 0, -1);
        $stmt = $db->prepare($sql);
        foreach ($column_names as $column_name) {
            $stmt->bindValue(':' . $column_name,  $_POST[$column_name] ?? "");
        }
        $result = $stmt->execute();
        $db->close();
        $msg = '<span style="color:#fff">設定を更新しました</span>';
        echo '{"status":"success"}';
        exit;
    } else {
        echo '{"status":"success"}';
        exit;
    }
}

$db->close();
$use_portal = $SETTING['use_portal_feed'] == 0 ? '' : 'checked';

if ($SETTING['portal_feed_urls'] ?? "" == "") {
    $SETTING['portal_feed_urls'] = "https://ppp.kannagi.net/portal/index.php";
}

?>

<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>ポータル連携管理</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="icon" href="./resource/icon.png">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-Control" content="no-cache">
    <link rel="stylesheet" href="./style/system.css">
    <style>
        #control {
            margin-bottom: 2em;
            display: flex;
            width: 100%;
            flex-direction: row;
            flex-wrap: wrap;
        }

        .button {
            width: 40%;
            margin: 1em auto 1em auto;
        }

        .tool {
            margin-bottom: 3em;

        }

        #update-warn {
            font-size: 0.8em;
            color: red;
        }

        .msg {
            display: block;
            padding: 1em;
            font-size: 1.5em;
            background-color: #ccc;
            margin: 1em;
        }

        table {
            font-size: 90%;
        }

        tr {
            height: 2.5em;
            margin-bottom: 1em;
            vertical-align: top;
        }

        th {
            text-align: left;
            padding-right: 2em;
            vertical-align: top;

        }

        .table-section-header {
            border-bottom: 1px solid #999;
        }

        .table-section-border {
            height: 4em;
        }

        #base {
            padding: 1em;
        }

        #base_settings {
            width: 100%
        }

        #base_settings th {
            width: 15em;
        }

        h3 {
            margin-bottom: 0.5em;
        }

        .infomation_text {
            font-size: 0.8em;
            color: #888;
        }

        @media (max-width: 767px) {

            /* スマホサイズ以下の場合に適用するスタイル */


            table {
                width: 90%;
                border-collapse: collapse;
                font-size: 90%;
            }

            td {
                display: block;
                width: 100%;
                margin-bottom: 1em;
            }

            th {
                display: block;
                width: 100%;
            }

            tr {
                margin-bottom: 1em;
            }

            td:first-child {
                margin-top: 20px;
            }
        }
    </style>
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">
    <script>
        //保存処理
        async function submit() {
            event.preventDefault();

            $wait = $('base').waitDialog("保存中…<br>");
            msg = "";
            var form_data = new FormData($('form')[0]);
            var postResult = await saveSetting(form_data);
            if (postResult.status != "success") {
                //投稿失敗
                $wait.close();
                var dialogText = '<p>失敗しました</p>';
                $('body').showDialog(dialogText, 'OK');

                return;
            }
            $wait.close();
            var dialogText = '<p style="margin-bottom:2em">保存しました</p>';
            $('body').showDialog(dialogText, 'OK')
                .then(function(result) {
                    if (result === 'OK') {
                        //location.href = "./index.php";
                    }
                });
        }
        async function deleteSend() {
            event.preventDefault();

            $wait = $('base').waitDialog("申請中…<br>");
            msg = "";
            var postResult = await deleteRequest();
            if (postResult.status != "success") {
                //投稿失敗
                $wait.close();
                var dialogText = '<p>失敗しました</p>';
                $('body').showDialog(dialogText, 'OK');

                return;
            }
            $wait.close();
            var dialogText = '<p style="margin-bottom:2em">申請しました</p>';
            $('body').showDialog(dialogText, 'OK')
                .then(function(result) {
                    if (result === 'OK') {
                        //location.href = "./index.php";
                    }
                });
        }
        //非同期保存処理
        async function saveSetting(form_data) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    type: 'POST',
                    url: './portal_console.php',
                    data: form_data,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        console.log('Success: ' + response);
                        var result = JSON.parse(response);
                        resolve(result)
                    },
                    error: function() {
                        reject();
                    }
                });
            });
        }
        async function deleteRequest(form_data) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    type: 'POST',
                    url: './portal_console.php',
                    data: {
                        "delete_id": $('#delete_id').val()
                    },

                    success: function(response) {
                        console.log('Success: ' + response);
                        var result = JSON.parse(response);
                        resolve(result)
                    },
                    error: function() {
                        reject();
                    }
                });
            });
        }
        $(function() {
            $('form').submit(async function(event) {
                await submit();
            });
            $('#delete').click(async function(event) {
                await deleteSend();
            });
            $(document).on('keydown', 'form input', function(event) {
                if (event.keyCode == 13) {
                    event.preventDefault();
                    return false;
                }
            });
            $(document).keydown(async function(e) {
                if (e.ctrlKey && (e.which == 83)) {
                    e.preventDefault();
                    await submit();
                }
            });
        });
    </script>
</head>

<body>
    <div id="header">
        <a id="back-link" href="./setting.php" class="header-link-exit">&lt; 戻る</a>
        <div id="header-option-link-area">
            <a id="logout-link" href="./logout.php">ログアウト</a>
        </div>
    </div>
    <div id="base">
        <div id="control">
            <div id="contents-area">
                <div style="margin:1em;">
                    <a href="https://ppp.kannagi.net/portal" target="_blank">PictPostPersonalPortal</a>との連携を行います。<br>
                    連携を行うと、記事投稿時に自動的にPPPPに通知・掲載されます。
                </div>
                <div style="width:80%">
                    <h3>連携設定</h3>
                    <form method="POST">
                        <table id="base_settings">

                            <tr>
                                <th>連携</span></th>
                                <td><input type="hidden" name="use_portal_feed" value="0"><input type="checkbox" name="use_portal_feed" id="use_portal_feed" <?= $use_portal ?>><label for="use_portal_feed">PPPポータルと連携する</label><br></td>
                            </tr>
                            <tr>
                                <th><label for="portal_feed_urls">連携URL</label></th>
                                <td><input type="text" name="portal_feed_urls" id="portal_feed_urls" class="flat-input" style="width:100%" value="<?= $SETTING['portal_feed_urls'] ?>"></td>
                            </tr>
                            <tr style=" height:5em">
                                <th style="vertical-align:top" d><label for="portal_tags">ポータルタグ</label></th>
                                <td style="vertical-align:top">自サイトの属性をタグで指定します。<input type="text" name="portal_tags" id="portal_tags" class="flat-input" style="width:100%" value="<?= $SETTING['portal_tags'] ?>"></td>
                            </tr>
                            <tr style="height:6em">
                                <th style="vertical-align:top" d><label for="portal_post_tags">掲載記事のタグ</label></th>
                                <td>ポータルに<u>掲載する</u>記事のタグを指定します。<br>この指定が空の場合、除外以外すべての記事が通知されます。<input type="text" name="portal_post_tags" id="portal_post_tags" class="flat-input" style="width:100%" value="<?= $SETTING['portal_post_tags'] ?>"></td>
                            </tr>
                            <tr style="height:6em">
                                <th style="vertical-align:top" d><label for="exclude_portal_post_tags">掲載除外記事のタグ</label></th>
                                <td>ポータルに<u>掲載しない</u>記事のタグを指定します。<br>ここに指定したタグの付与された記事はポータルに更新通知されません。<input type="text" name="exclude_portal_post_tags" id="exclude_portal_post_tags" class="flat-input" style="width:100%" value="<?= $SETTING['exclude_portal_post_tags'] ?>"></td>
                            </tr>
                        </table>
                        <div style="margin-top:2em;margin-bottom:2em;">
                            「掲載タグ」が指定されていない場合、基本的にすべての記事が掲載され、「除外タグ」がある場合だけ掲載対象外になります。<br>
                            「掲載タグ」と「掲載除外タグ」を両方指定した場合、「掲載タグが付いていて、除外タグがない記事」が対象になります。<br>
                        </div>
                        <div style="text-align: center;">
                            <?= $msg ?>
                            <button class="button">保存</button>
                        </div>

                    </form>
                </div>
                <div style="width:80%;border-top:1px solid #999;margin-top:3em;padding-top:1em;">
                    <h3>削除申請ツール</h3>
                    PictPostPersonalPortalから特定の記事を削除します。<br>記事番号(view.php?id=〇〇 の 数字)を指定して削除申請します。<br>
                    申請する記事番号：<input type="text" name="delete_id" id="delete_id" class="flat-input">　<button class="button button_warn" id="delete" style="font-size:1em">削除申請</button>

                </div>
            </div>
        </div>
    </div>



</body>

</html>