<?php
//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("./common.php");
$msg = "";

// データの更新
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    //ファイルの追加
    if (isset($_FILES['file'])) {
        $type = filter_input(INPUT_POST, 'file_type');

        if ($type == 0) {
            $file_id = count(glob("./images/upd/*")) + 1;
            $fileName = $_FILES['file']['name'];
            $extension = substr($fileName, strrpos($fileName, '.') + 1);
            $tmpName = $_FILES['file']['tmp_name'];
            $newFileName = "./images/upd/file_{$file_id}.{$extension}";
            while (file_exists($newFileName)) {
                $file_id++;
                $newFileName = "./images/upd/file_{$file_id}.{$extension}";
            }
        } else {
            $fileName = $_FILES['file']['name'];
            $extension = substr($fileName, strrpos($fileName, '.') + 1);
            $tmpName = $_FILES['file']['tmp_name'];
            echo $extension;
            if ($extension != "png" && $extension != "PNG") {
                echo '{"status":"error", "msg":"pngファイルのみ指定できます"}';
                $db->close();
                exit;
            }

            if ($type == 1) {
                $newFileName = "./resource/text-back1.png";
            } else if ($type == 2) {
                $newFileName = "./resource/nsfw.png";
            }
            echo $newFileName;
        }
        try {
            copy($tmpName, $newFileName);
            echo '{"status":"success"}';
        } catch (Exception $ex) {
            echo '{"status":"error", "message":"' . $db->lastErrorMsg() . '"}';
        } finally {
            $db->close();
        }
        exit;
    }
}
$db->close();

$file_list = "";
$folderPath = './images/upd/';
$files = scandir($folderPath);
$files = array_diff($files, array('.', '..'));
foreach ($files as $file) {
    $file_list .= '<tr><td><a href="./images/upd/' . h($file) . '" target="_blank">' . h($file) . '</a></td><td><span class="makelink" data-file="' . h($file) . '">[作成]</span></td><td><span class="remove" data-file="' . h($file) . '">[削除]</span></td></tr>';
}

?>

<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>リソース管理</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="icon" href="./resource/icon.png">
    <meta http-equiv="Pragma" content="no-cache">
    <meta http-equiv="Cache-Control" content="no-cache">
    <link rel="stylesheet" href="./style/system.css">
    <style>
        #control {
            margin-bottom: 2em;
            display: flex;
            width: 100%;
            flex-direction: row;
            flex-wrap: wrap;
        }

        .button {
            width: 40%;
            margin: 1em auto 1em auto;
        }

        .tool {
            margin-bottom: 3em;

        }

        #update-warn {
            font-size: 0.8em;
            color: red;
        }

        .msg {
            display: block;
            padding: 1em;
            font-size: 1.5em;
            background-color: #ccc;
            margin: 1em;
        }

        table {
            font-size: 90%;
        }

        tr {
            height: 1.5em;
            margin-bottom: 1em;
        }

        th {
            text-align: left;
            padding-right: 2em;
            vertical-align: middle;

        }

        .table-section-header {
            border-bottom: 1px solid #999;
        }

        .table-section-border {
            height: 4em;
        }

        #base {
            padding: 1em;
        }

        #base_settings {
            width: 100%
        }

        #base_settings th {
            width: 15em;
        }

        h3 {
            margin-bottom: 0.5em;
        }

        .infomation_text {
            font-size: 0.8em;
            color: #888;
        }

        @media (max-width: 767px) {

            /* スマホサイズ以下の場合に適用するスタイル */


            table {
                width: 90%;
                border-collapse: collapse;
                font-size: 90%;
            }

            td {
                display: block;
                width: 100%;
                margin-bottom: 1em;
            }

            th {
                display: block;
                width: 100%;
            }

            tr {
                margin-bottom: 1em;
            }

            td:first-child {
                margin-top: 20px;
            }
        }
    </style>
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">

</head>

<body>
    <div id="header">
        <a id="back-link" href="./setting.php" class="header-link-exit">&lt; 戻る</a>
        <div id="header-option-link-area">
            <a id="logout-link" href="./logout.php">ログアウト</a>
        </div>
    </div>
    <div id="base">
        <div id="control">
            <div id="contents-area">
                <div>
                    <h3>リソースアップロード</h3>
                    <form method="POST" enctype="multipart/form-data" autocomplete="off">
                        <select id="combobox" name="file_type" class="flat-input">
                            <option value="0">画像・動画ファイル</option>
                            <option value="1">テキスト記事用サムネイル</option>
                            <option value="2">NSFW記事用サムネイル</option>
                        </select>
                        <input type="file" accept="image/*, video/*" name="file"> <button class="button" style="font-size:1em">アップロード</button>
                    </form>
                </div>
                <div style=" margin-top:3em">
                    <h3>画像・動画リソース一覧</h3>
                    <table>
                        <tr>
                            <th>ファイル名</th>
                            <th>リンク作成</th>
                            <th>削除</th>
                        </tr>
                        <?= $file_list ?>
                    </table>
                </div>
            </div>
        </div>
    </div>



</body>

</html>