<?php

/**************************************************************************************
 * 
 *  Indexページ用テンプレート
 * 
 **************************************************************************************/

$user_icon_hide = "";
if (!$setting["use_icon"]) {
    $user_icon_hide = "hide";
}

//ページネーション用インデックスHTML構築
$indexser = "";
$current = $document['current_index'];
$max = $document['max_index'];
$min = $document['min_index'];
if ($max > 1) {
    if ($current < 5) {
        $min_page = 1;
        $max_page = $min_page + 9;
        if ($max_page > $max) {
            $max_page = $max;
        }
    } else {
        $max_page = $current + 5;
        if ($max_page > $max) {
            $max_page = $max;
        }
        $min_page = $max_page - 10;
    }
    if ($min_page < 1) {
        $min_page = 1;
    }
    if ($max_page > $max) {
        $max_page = $max;
    }
    for ($i = $min_page; $i <= $max_page; $i++) {
        if ($i == $document['current_index']) {
            $indexser = $indexser . '<span class="pager-current-index">' . $i . '</span> ';
        } else {
            $indexser = $indexser . '<a href="?page=' . $i . '">' . $i . '</a> ';
        }
    }
}

//Consoleへのリンク部分
$post_link = "<i class='fa-regular fa-pen-to-square'></i>";
//追加メッセージ
$message = "";
if ($document['article_count'] == 0) {
    if ($document['search_words'] == '') {
        $message = "<div id='message'>まだ記事は投稿されていません</div>";
        $post_link = "<div class='tutorial'><i class='fa-regular fa-pen-to-square' style='font-size:220%;color:#f00'></i><span class='tutorial-text' style='left:-8em'>ここから新しい記事を投稿しましょう！</span></div>";
    } else {
        $message = "<div id='message'>「 " . $document['search_words'] .  " 」に該当する記事は見つかりません</div>";
    }
}

?>

<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>%{$setting['site_title']}</title>
    <meta name="description" content="%{$document['card_comment']}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="%{$setting['image_color']}">
    <?php if ($setting['use_favicon']) { ?>
        <link rel="icon" href="./images/userfavicon.png">
    <?php } ?>
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="stylesheet" href="./style/index.css">
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">

    <link rel="stylesheet" href="./env/user.css">

    <meta name="twitter:card" content="summary_large_image">
    <meta name="twitter:title" content="%{$setting['site_title']}">
    <meta name="twitter:description" content="%{$document['card_comment']}">
    <meta name="og:title" content="%{$setting['site_title']}">
    <meta name="og:description" content="%{$document['card_comment']}">
    <?php if ($setting['use_ogimage'] || $setting['nsfw']) { ?>
        <meta name="og:image" content="%{$document['card_ogimage']}">
        <meta name="twitter:image" content="%{$document['card_ogimage']}">
    <?php } else { ?>
        <meta name="og:image" content="%{$document['card_thumbnail']}">
        <meta name="twitter:image" content="%{$document['card_thumbnail']}">
    <?php } ?>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
        $(function() {
            <?php if (!$setting["use_icon"]) { ?>
                $('#profile__image').css('display', 'none');
                $('#profile__contents').css('left', "0.5em");
                $('#profile__contents').css('margin-top', "0.5em");
            <?php } ?>
            <?php if (!$setting["use_banner"]) { ?>
                $('#profile__banner').css('background-color', '%{$setting["image_color"]}');
            <?php } ?>
            $(".tag-cloud-more-link").on("click", function(e) {
                $(".tag-cloud-more").toggle(300);
            });
            $('.home_menu_item').on('click', function() {
                var target = $(this).data('id');
                if (target == 'home') {
                    location.href = 'index.php';
                } else {
                    <?php if ($static_mode) { ?>
                        location.href = 'log_' + target + '.html';
                    <?php } else { ?>
                        location.href = 'view.php?id=' + target;
                    <?php } ?>
                }
            });
            var menuWidth = $(".home_menu").width();
            var itemsWidth = 0;
            $(".home_menu_item").each(function() {
                itemsWidth += $(this).outerWidth(true);
            });
            if (itemsWidth > menuWidth) {
                $(".home_menu").css("justify-content", "flex-start");
            }

        });
    </script>
</head>

<body>
    <?php if ($login) { ?>
        <div id="console-header">
            <div id="header-link-area">
                <a href="./console.php"><i class="fa-regular fa-rectangle-list"></i><span class="sp-hide"> 管理</span></a>
            </div>
            <div id="header-option-link-area">
                <a href="./edit.php">+<span class="sp-hide">新規</span>投稿</a>
                <span id="notification-link" style="cursor:pointer"><i id="notification" class="fa-regular fa-bell font-size:1em"></i></span>
                <a id="setting-link" href="./setting.php"><i class="fa-solid fa-gear font-size:1em"></i><span class="sp-hide">設定</span></a>
                <a id="logout-link" href="./logout.php">ログアウト</a>
            </div>
        </div>
        <script src="./script/console.js?ver=<?= $VERSION ?>"></script>
        <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
        <link rel="stylesheet" href="./style/dialog.css">
    <?php } ?>
    <div id="index-base">
        <div id="profile-area">
            <div id="profile__banner">
                <?php if ($setting['use_banner'] && $setting['show_title']) {
                    echo ('<div style="max-height:300px;">');
                    echo '<h1 id="title" style="position:absolute">' . $setting['site_title'] . '</h1>';
                    echo ('<img src="./images/banner.jpg" alt="タイトルバナー">');

                    echo ('</div>');
                } else if ($setting['use_banner']) {
                    echo ('<img src="./images/banner.jpg" alt="タイトルバナー">');
                } else {
                    echo '<h1 id="title">' . $setting['site_title'] . '</h1>';
                }
                ?>
            </div>
            <div id="profile__image" class="%{$user_icon_hide}"></div>
            <div id="profile__contents">
                <h2>%{$setting['display_name']}</h2>
                <div id="profile__sns-links">
                    <?php foreach ($accounts as $account) {
                        if (strstr($account['icon'], "http")) {
                            echo ('<a href="' . $account['url'] . '" class="profile__sns-links__icon"><img src="' . $account['icon'] . '"style="vertical-align: middle; max-height:28px;" alt="オーサーアイコン"></a>');
                        } else if ($account['icon'] == "pixiv") {
                            echo ('<a href="' . $account['url'] . '" class="profile__sns-links__icon"><img src="./resource/pixiv.png" width=28 height=28 style="vertical-align: middle" alt="オーサーアイコン"></a>');
                        } else {
                            echo ('<a href="' . $account['url'] . '" class="profile__sns-links__icon"><i class="' . $account['icon'] . '"></i></a>');
                        }
                    } ?>
                </div>
            </div>
        </div>
        <div id="instruction-area">
            <div class="home_menu_area">#{$home_menu}</div>
            #{$document['instruction_text']}
        </div>
        <div id="contents-area">
            <div id="tagcloud_area">#{$document['tag_cloud']}</div>
            <ul id="loglist">
                <?php
                //記事へのリンク構築
                foreach ($articles as $article) {
                    if ($article['nsfw'] && !$document['nsfw_consent']) {
                        //NSFWコンテンツ
                        $img = "<div class='list-thumb-nsfw'></div>";
                    } else {
                        if (isset($article['image']) && $article['image'] != "") {
                            if ($article['image'] != "") {
                                //画像ありコンテンツ
                                $image = $article['image'];
                                if ($article['multi_image'] == 1) {
                                    $img = "<div class='list-thumb-image' style=\"background-image:url('./images/thumb_{$image}')\"><span class='multi_image'>+</span></div>";
                                } else {
                                    $img = "<div class='list-thumb-image' style=\"background-image:url('./images/thumb_{$image}')\"></div>";
                                }
                            }
                        } else {
                            //テキストコンテンツ
                            $img = "<div class='list-thumb-text'><div class='list-thumb-text-inner'>{$article['title']}</div></div>";
                        }
                    }
                ?>
                    <li class='thumb-item'>
                        <?php if ($static_mode) { ?>
                            <a href="./log_#{$article['id']}.html">
                            <?php } else { ?>
                                <a href="./view.php?id=#{$article['id']}">
                                <?php } ?>
                                #{$img}
                                <div class='list-info'>
                                    <span class='title'>%{$article['title']}</span>
                                </div>
                                </a>
                    </li>
                <?php } ?>
            </ul>
            <div id="pager">
                #{$indexser}
            </div>
            <div id="link_banner">
                #{$setting['banner']}
            </div>
            <footer id="footer-area">
                copyright %{$setting['display_name']} <a href="./console.php">#{$post_link}</a><br>
                powered by <a href="https://ppp.kannagi.net/" target="_blank">PictPostPersonal SBS</a>
            </footer>
        </div>

    </div>

</body>

</html>