<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>記事一覧</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="<?= h($setting['image_color']) ?>">
    <?php if ($setting['use_favicon']) { ?>
        <link rel="icon" href="./images/userfavicon.png">
    <?php } ?>
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="stylesheet" href="./style/list.css">
    <link rel="stylesheet" href="./env/user.css">
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script>
        backurl = '%{$back_url}';
    </script>
    <script src="./script/common.js?ver=<?= $VERSION ?>"></script>
    <script>
        function searchExec() {
            if ($('#search').val() != "検索...") {
                location.href = '?q=' + escape($('#search').val());
            }
        }
    </script>
</head>

<body>
    <?php if ($login) { ?>
        <div id="console-header">
            <div id="header-option-link-area">
                <a href="./edit.php">+新規投稿</a>
                <span id="notification-link" style="cursor:pointer"><i id="notification" class="fa-regular fa-bell font-size:1em"></i></span>
                <a id="setting-link" href="./setting.php"><i class="fa-solid fa-gear font-size:1em"></i>設定</a>
                <a id="logout-link" href="./logout.php">ログアウト</a>
            </div>
        </div>
        <script src="./script/console.js?ver=<?= $VERSION ?>"></script>
        <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
        <link rel="stylesheet" href="./style/dialog.css">
    <?php } ?>
    <div id="global-header">
        <a href="./">
            %{$setting['site_title']}
        </a>
    </div>
    <div id="header">
        <a id="top-link" href="./index.php">
            &lt; TOP
        </a>
    </div>
    <div id="base">
        <div id="search-area">
            <div class="search-input">
                <i id="search-button" onClick="searchExec();" class="fa-solid fa-magnifying-glass"></i>
                <input type="input" id="search" onclick="this.select();" value="<?php echo $searchs; ?>">
                <i id="search-clear-button" onClick="$('#search').val('')" class="fa-regular fa-circle-xmark"></i>
            </div>
        </div>
        <div id="contents-area">
            <?php echo $message ?>
            <ul id="loglist">
                <?php echo $list_html; ?>
            </ul>
            <div id="pager">
                <?php echo $indexser; ?>
            </div>
            <div id="control" style="margin:5em auto 3em auto">
                <button id="return-button" class="button button_normal historyback">戻る</button>
            </div>
        </div>
        <footer id="footer-area">
            copyright <?php echo ($setting['display_name']) ?><br>
            powered by <a href="https://ppp.kannagi.net/" target="_blank">PictPostPersonal SBS</a>
        </footer>
    </div>
</body>

</html>