<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>システム設定</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="#fafafa">
    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="stylesheet" href="./style/system.css">
    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <link rel="icon" href="./resource/icon.png">
    <style>
        .blank-image {
            float: left;
            height: 100px;
            width: 100px;
            border: 1px solid #999;
            background-color: #eee;
        }

        .blank-image::before {
            content: "NO IMAGE";
            display: inline-block;
            text-align: center;
            line-height: 100px;
            width: 100px;
            color: #ccc;
        }

        .list-thumb-box {
            float: left;
            height: 100px;
            width: 100px;
            background-color: #999;
            border: 1px solid #999;
            overflow: hidden;
        }

        .list-thumb {
            max-height: 200px;
            margin: 0 auto 0 auto;
        }

        #control {
            margin-bottom: 2em;
            display: flex;
            width: 100%;
            flex-direction: row;
        }

        #message {
            text-align: center;
        }

        table {
            font-size: 90%;
        }

        tr {
            height: 2.5em;
        }

        th {
            text-align: left;
            padding-right: 2em;
            vertical-align: middle;
        }

        .table-section-header {
            border-bottom: 1px solid #999;
        }

        .table-section-border {
            height: 4em;
        }

        .url-input {
            width: 70%;
        }

        .sns_icon_input {
            width: 25%;
        }

        .error {
            color: #f00;
            background-color: #fbb;
        }

        .long_input {
            width: 100%;
        }

        .file_button {
            display: inline-block;
            background-color: var(--force-color);
            color: #fff;
            padding: 2px 1em 2px 1em;
            border-radius: 5px;
        }

        .file_clear_button {
            display: inline-block;
            background-color: #999;
            color: #fff;
            padding: 2px 0.5em 2px 0.5em;
            border-radius: 5px;
        }

        .icon_select_button {
            display: inline-block;
            background-color: var(--force-color);
            color: #fff;
            padding: 2px 0.5em 2px 0.5em;
            border-radius: 5px;
        }

        .icon_select_button_ex {
            display: inline-block;
            background-color: var(--force-color);
            color: #fff;
            padding: 2px 0.5em 2px 0.5em;
            border-radius: 5px;
        }

        .icon_input_button {
            display: inline-block;
            background-color: var(--force-color);
            color: #fff;
            padding: 2px 0.5em 2px 0.5em;
            border-radius: 5px;
        }


        .tweet-setting-button {
            display: inline-block;
            background-color: var(--force-color);
            color: #fff;
            padding: 2px 0.5em 2px 0.5em;
            border-radius: 5px;
            margin-left: 1em;
        }

        #base {
            padding: 1em;
        }

        #base_settings {
            width: 100%
        }

        #base_settings th {
            width: 15em;
        }

        #account_settings {
            width: 100%;
        }

        #account_settings th {
            width: 5em;
        }

        .icons {
            font-size: 34px;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            width: 90%;
            height: 80%;
            margin: 5px;

        }

        .icons i {
            display: inline-block;
            margin: 0.5em;
            vertical-align: middle;
            cursor: pointer;
        }

        .icons i:hover {
            color: #999;
        }

        .icon_preview {
            font-size: 28px;
            margin-left: 0.5em;
            vertical-align: middle
        }


        .pixiv::before {
            content: '';
            display: inline-block;
            width: 28px;
            height: 28px;
            background-image: url(./resource/pixiv.png);
            background-size: contain;
            vertical-align: middle;
        }

        .fa-circle-info {
            color: #999;
            margin-left: 0.5em;
        }

        .icon_file_upload_button_area {
            margin-bottom: 0.5em;
        }

        .icon_select_dialog_cover {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        .icon_direct_dialog_cover {
            display: flex;
            flex-direction: column;
            align-items: center;
        }

        h3 {
            margin-bottom: 0.5em;
        }

        .infomation_text {
            font-size: 0.8em;
            color: #888;
        }

        @media (max-width: 767px) {

            /* スマホサイズ以下の場合に適用するスタイル */


            table {
                width: 90%;
                border-collapse: collapse;
                font-size: 90%;
            }

            td {
                display: block;
                width: 100%;
                margin-bottom: 1em;
            }

            th {
                display: block;
                width: 100%;
            }

            tr {
                margin-bottom: 1em;
            }

            td:first-child {
                margin-top: 20px;
            }
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <link rel="stylesheet" href="./style/dialog.css">

    <script>
        $(function() {
            $('#tweet-setting').on('click', function(e) {
                e.preventDefault();
                window.open($('#tweet-service').val() + "/index.php?from=%{$settings['url_system_root']}");
            });

            $('input[type="file"]').on('change', function() {
                $(this).prevAll('span:first').text("指定あり");
                $(this).prevAll('input[type="checkbox"]:first').prop('checked', true);
            });
            $('#ogimage_file_select').on('click', function(e) {
                e.preventDefault();
                $('#ogimage-file').click();
            });
            $('#banner_file_select').on('click', function(e) {
                e.preventDefault();
                $('#banner-file').click();
            });
            $('#icon_file_select').on('click', function(e) {
                e.preventDefault();
                $('#icon-file').click();
            });
            $('#favicon_file_select').on('click', function(e) {
                e.preventDefault();
                $('#favicon-file').click();
            });
            $('#mini_banner_file_select').on('click', function(e) {
                e.preventDefault();
                $('#mini_banner-file').click();
            });
            $('.file_clear_button').on('click', function(e) {
                e.preventDefault();
                $(this).prevAll('span:first').text("クリア");
                $(this).prevAll('input[type="checkbox"]:first').prop('checked', false);
            });

            //SNSアイコンセレクトダイアログ
            $('.icon_select_button').on('click', function(e) {
                e.preventDefault();
                var wait = $('body').waitDialog($('.icon_select_dialog').html());
                var target = $(this).next("input");
                $(".icons i").on('click', function() {
                    target.val($(this).attr("class"));
                    target.next("i").remove();
                    target.after($(" <i class='icon_preview'></i>").addClass($(this).attr("class")));
                    wait.close();
                });
                $(".icon_select_dialog_close_button").on('click', function() {
                    wait.close();
                });
                $(".icon_no_select_button").on('click', function() {
                    target.val("");
                    target.next("i").remove();
                    target.after($(" <i class='icon_preview'></i>"));
                    wait.close();
                });
                $('.icon_select_button_ex').on('click', function(e) {
                    target.next("input[type=file]").click();
                    target.val("UPLOADFILE");
                    target.next("i").remove();
                    target.after($(" <i class='icon_preview' style='font-size:0.8em'>アップロード</i>"));
                    wait.close();
                });
            });

            //保存処理
            async function submit() {
                var isValid = true;
                event.preventDefault();

                $wait = $('base').waitDialog("保存中…<br>");
                msg = "";
                // site_title name validation
                var siteTitle = $('input[name="site_title"]').val().trim();
                if (siteTitle === '') {
                    isValid = false;
                    msg += "サイト名を指定してください<br>";
                    $('input[name="site_title"]').addClass('error');
                } else {
                    $('input[name="site_title"]').removeClass('error');
                }

                // Display name validation
                var displayName = $('input[name="display_name"]').val().trim();
                if (displayName === '') {
                    isValid = false;
                    msg += "表示名（作者名）を指定してください<br>";
                    $('input[name="display_name"]').addClass('error');
                } else {
                    $('input[name="display_name"]').removeClass('error');
                }

                // Image color validation
                var imageColor = $('input[name="image_color"]').val().trim();
                if (imageColor === '') {
                    isValid = false;
                    msg += "イメージカラーを#FFFFFF形式で指定してください<br>";
                    $('input[name="image_color"]').addClass('error');
                } else if (!/^#[0-9A-Fa-f]{6}$/i.test(imageColor)) {
                    isValid = false;
                    msg += "イメージカラーを#FFFFFF形式で指定してください<br>";
                    $('input[name="image_color"]').addClass('error');
                } else {
                    $('input[name="image_color"]').removeClass('error');
                }
                // articles validation
                var index_articles = $('input[name="index_articles"]').val().trim();
                if (index_articles === '' || isNaN(index_articles)) {
                    isValid = false;
                    msg += "記事 表示数を指定してください<br>";
                    $('input[name="index_articles"]').addClass('error');
                } else {
                    $('input[name="index_articles"]').removeClass('error');
                }

                // SNS link validation
                $('input[name^="sns_url"]').each(function() {
                    var snsUrl = $(this).val().trim();
                    var snsIconName = $(this).nextAll('.sns_icon_input').val().trim();;
                    if (snsUrl !== '' && snsIconName === "") {
                        msg += "アカウントリンク用のアイコンを指定してください<br>";
                        isValid = false;
                        $(this).addClass('error');
                        $(this).next('.sns_icon_input').addClass('error');
                    } else if (snsUrl !== '' && !isValidUrl(snsUrl)) {
                        msg += "アカウントリンク用のURLを指定してください<br>";
                        isValid = false;
                        $(this).addClass('error');
                        $(this).next('.sns_icon_input').addClass('error');
                    } else {
                        $(this).removeClass('error');
                        $(this).next('.sns_icon_input').removeClass('error');
                    }
                    if (snsUrl === "" && snsIconName !== "") {
                        $(this).nextAll('.sns_icon_input').val("");
                    }
                });

                if (!isValid) {
                    $wait.close();
                    await $("body").showDialog(msg);
                    return;

                }

                var form_data = new FormData($('form')[0]);
                //WAF対策のため本文をBASE64エンコード
                form_data.set('instruction_text', btoa(unescape(encodeURIComponent($('#instruction-text').val()))));
                var postResult = await saveSetting(form_data);
                if (postResult.status != "success") {
                    //投稿失敗
                    $wait.close();
                    var dialogText = '<p>失敗しました</p>';
                    $('body').showDialog(dialogText, 'OK');

                    return;
                }
                $wait.close();
                var dialogText = '<p style="margin-bottom:2em">保存しました</p>';
                $('body').showDialog(dialogText, 'OK')
                    .then(function(result) {
                        if (result === 'OK') {
                            //location.href = "./index.php";
                        }
                    });
            }
            $('form').submit(async function(event) {
                await submit();
            });
            $(document).on('keydown', 'form input', function(event) {
                if (event.keyCode == 13) {
                    event.preventDefault();
                    return false;
                }
            });
            $(document).keydown(async function(e) {
                if (e.ctrlKey && (e.which == 83)) {
                    e.preventDefault();
                    await submit();
                }
            });
        });

        function isValidUrl(url) {
            var pattern = new RegExp('^(https?:\\/\\/)?' + // protocol
                '((([a-z\\d]([a-z\\d-]*[a-z\\d])*)\\.)+[a-z]{2,}|' + // domain name
                '((\\d{1,3}\\.){3}\\d{1,3}))' + // ip (v4) address
                '(\\:\\d+)?(\\/[-a-z\\d%_.~+]*)*' + // port and path
                '.*', 'i'); // fragment locator
            return pattern.test(url);
        }
        //非同期保存処理
        async function saveSetting(form_data) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    type: 'POST',
                    url: './api/setting_save.php',
                    data: form_data,
                    processData: false,
                    contentType: false,
                    success: function(response) {
                        console.log('Success: ' + response);
                        var result = JSON.parse(response);
                        resolve(result)
                    },
                    error: function() {
                        reject();
                    }
                });
            });
        }
    </script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">
    <script src="./script/tooltip.js?ver=<?= $VERSION ?>"></script>
</head>

<body>
    <div id="header">
        <a href="./index.php">
            &lt; TOP
        </a>
        <div id="header-option-link-area">
            <a id="tools-link" href="./admin_tools.php"><i class="fa-solid fa-wrench"></i>管理ツール</a>
            <a id="logout-link" href="./logout.php">ログアウト</a>
        </div>
    </div>

    <div id="base">
        <form action="./api/setting_save.php" method="POST" enctype="multipart/form-data" autocomplete="off">
            <h3 class="table-section-header">基本設定</h3>
            <table id="base_settings">

                <tr>
                    <th>サイト名</span></th>
                    <td><input type="text" class="flat-input long_input" value="%{$settings['site_title']}" name="site_title"></td>
                </tr>
                <tr>
                    <th>表示名<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">トップページ等に表示される作者名を設定します</span></span></th>
                    <td><input type="text" class="flat-input long_input" value="%{$settings['display_name']}" name="display_name"></td>
                </tr>
                <tr>
                    <th>メールアドレス<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">メール送信フォームの送信先です。<br>メール送信フォームを使用しない場合は設定不要</span></span></th>
                    <td><input type="text" class="flat-input long_input" value="%{$settings['mail_address']}" name="mail_address"></td>
                </tr>
                <tr class="table-section-bottom">
                    <th style="vertical-align: top;">トップページ案内文<br><a href="https://ppp.kannagi.net/view.php?id=5" style="font-weight:100; font-size:0.9em;" target="_blank">[書き方]</a></th>
                    <td>
                        <textarea name="instruction_text" id="instruction-text">%{$settings['instruction_text']}</textarea><br>
                        <input type="hidden" name="instruction_text_use_html" value="0">
                        <input type="checkbox" name="instruction_text_use_html" id="instruction_text_use_html" style=" vertical-align: middle;" %{$settings['instruction_text_user_html_check']}><label for="instruction_text_use_html" style="vertical-align: middle;">案内文にHTMLを使用する</label>
                    </td>
                </tr>
                <tr class="table-section-bottom">
                    <th>サイト概要<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">TwitterCardに表示される概要を設定します。<div class=""></div></span></span></th>
                    <td><input type="text" class="flat-input long_input" value="%{$settings['twitter_card_text']}" name="twitter_card_text"></td>
                </tr>
                <tr>
                    <th>サイトイメージ画像<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">TwitterCardに表示されるサイト画像を設定します。1200px × 630pxが最適です。<br>画像なしのページ、NSFWページに使用されます。</span></th>
                    <td><input type='hidden' name='use_ogimage' value='0'>
                        <span id="blank-ogimage" onClick="$('#ogimage-file').click()"><?php echo $settings['use_ogimage'] ? "登録済み" : "指定なし" ?></span>
                        <input type='checkbox' name='use_ogimage' class='hide' <?php echo $settings['use_ogimage'] ? "checked" : "" ?>>
                        <button id="ogimage_file_select" class="file_button">変更</button>
                        <button id="ogimage_file_clear" class="file_clear_button">クリア</button>
                        <input type="file" name="ogimage_file" id="ogimage-file" class="hide" accept="image/*">
                    </td>
                </tr>
                <tr>
                    <th>タイトルバナー背景画像<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">1200 x 300pxが最適です</span></th>
                    <td><input type='hidden' name='use_banner' value='0'>
                        <span id="blank-banner" onClick="$('#banner-file').click()"><?php echo $settings['use_banner'] ? "登録済み" : "指定なし" ?></span>
                        <input type='checkbox' name='use_banner' class='hide' <?php echo $settings['use_banner'] ? "checked" : "" ?>>
                        <button id="banner_file_select" class="file_button">変更</button>
                        <button id="banner_file_clear" class="file_clear_button">クリア</button>
                        <input type="file" name="banner_file" id="banner-file" class="hide" accept="image/*"><br>
                        <input type="hidden" name="show_title" value="0">
                        <input type="checkbox" name="show_title" id="show_title" style="vertical-align: middle;" %{$settings['show_title']}><label for="show_title" style="vertical-align: middle;">サイト名を文字で表示する</label>
                    </td>
                </tr>
                <tr>
                    <th>ユーザーアイコン画像<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">正方形の画像が丸く表示されます</span></th>
                    <td><input type='hidden' name='use_icon' value='0'>
                        <span id="blank-icon" onClick="$('#icon-file').click()"><?php echo  $settings['use_icon'] ? "登録済み" : "指定なし" ?></span>
                        <input type='checkbox' name='use_icon' class='hide' <?php echo $settings['use_icon'] ? "checked" : "" ?>>
                        <button id="icon_file_select" class="file_button">変更</button>
                        <button id="icon_file_clear" class="file_clear_button">クリア</button>
                        <input type="file" name="icon_file" id="icon-file" class="hide" accept="image/*">
                    </td>
                </tr>
                <tr>
                    <th>favicon<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">Faviconを指定します<br>(ブラウザのタブなどに表示されるアイコン。正方形の32*32程度のPNGを推奨)</span></th>
                    <td><input type='hidden' name='use_favicon' value='0'>
                        <span id="blank-favicon" onClick="$('#favicon-file').click()"><?php echo $settings['use_favicon'] ? "登録済み" : "指定なし" ?></span>
                        <input type='checkbox' name='use_favicon' class='hide' <?php echo $settings['use_favicon'] ? "checked" : "" ?>>
                        <button id="favicon_file_select" class="file_button">変更</button>
                        <button id="favicon_file_clear" class="file_clear_button">クリア</button>
                        <input type="file" name="favicon_file" id="favicon-file" class="hide" accept="image/*">
                    </td>
                </tr>
                <tr>
                    <th>リンクバナー<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">リンク用のバナーを指定します<br>(200 x 40, PNG画像)</span></th>
                    <td><input type='hidden' name='use_mini_banner' value='0'>
                        <span id="blank-mini_banner" onClick="$('#mini_banner-file').click()"><?php echo $settings['use_mini_banner'] ? "登録済み" : "指定なし" ?></span>
                        <input type='checkbox' name='use_mini_banner' class='hide' <?php echo $settings['use_mini_banner'] ? "checked" : "" ?>>
                        <button id="mini_banner_file_select" class="file_button">変更</button>
                        <button id="mini_banner_file_clear" class="file_clear_button">クリア</button>
                        <input type="file" name="mini_banner_file" id="mini_banner-file" class="hide" accept="image/*">
                    </td>
                </tr>
                <tr>
                    <th>イメージカラー<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">アクセント、ボタンなどの色に使われます</span></span></th>
                    <td><input type="text" class="flat-input" value="%{$settings['image_color']}" name="image_color"></td>
                </tr>
                <tr class="table-section-bottom">
                    <th>タグクラウド<span class="tooltip"></th>
                    <td><input type="hidden" name="use_tag_cloud" value="0"><input type="checkbox" %{$settings['use_tag_cloud']} name="use_tag_cloud" id="use_tag_cloud"><label for="use_tag_cloud">タグクラウドをトップページに表示する</label>
                    </td>
                </tr>
                <tr>
                    <th>記事 表示数<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">トップページに表示する記事の数を指定します</span></span></th>
                    <td><input type="text" class="flat-input" value="%{$settings['index_articles']}" name="index_articles"></td>
                </tr>
                <tr>
                    <th>一覧表示除外タグ<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">トップページの記事一覧から非表示にするタグを指定します</span></span></th>
                    <td><input type="text" class="flat-input" value="%{$settings['exclude_index_list_tag']}" name="exclude_index_list_tag"></td>
                </tr>
                <tr>
                    <th>NSFW<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">トップページにNSFW警告が表示されるようになります。<br>また、TwitterCardが生成されなくなります。</span></span></th>
                    <td><input type="hidden" name="nsfw" value="0"><input type="checkbox" name="nsfw" id="nsfw" style="vertical-align: middle;" %{$settings['nsfw']}><label for="nsfw" style="vertical-align: middle;">サイト全体をNSFW(R18)とする</label>
                    </td>
                </tr>
                <tr>
                    <th>フィードバック<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">表示数やいいねボタンの使用有無を指定します</span></span></th>
                    <td><input type="hidden" name="use_feedback" value="0"><input type="checkbox" name="use_feedback" id="use_feedback" style="vertical-align: middle;" %{$settings['use_feedback']}><label for="use_feedback" style="vertical-align: middle;">フィードバックを受け付ける</label>
                        <br>
                        <input type="hidden" name="show_likes" value="0">
                        <input type="checkbox" name="show_likes" id="show_likes" style="vertical-align: middle;" %{$settings['show_likes']}><label for="show_likes" style="vertical-align: middle;">記事に「いいね」数を表示する</label>
                    </td>
                </tr>
                <tr>
                    <th>次へ/前へ表示<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">各記事の末尾に「次へ｜前へ」のリンクを表示します。</span></span></th>
                    <td>
                        <select id="combobox" name="move_link_type" class="flat-input">
                            <option value="0" <?php echo $settings['move_link_type'] == 0 ?  "selected" : "" ?>>表示しない</option>
                            <option value="1" <?php echo $settings['move_link_type'] == 1 ?  "selected" : "" ?>>すべての記事の中で前後</option>
                            <option value="2" <?php echo $settings['move_link_type'] == 2 ?  "selected" : "" ?>>タグが一致する記事の中で前後</option>
                            <option value="3" <?php echo $settings['move_link_type'] == 3 ?  "selected" : "" ?>>1つ目のタグが一致する記事の中で前後</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>記事画像リサイズ<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -10em;">縦横いずれかがこのサイズを超えている場合画像をリサイズします</span></span></th>
                    <td><input type="text" class="flat-input" value="%{$settings['resize_border']}" name="resize_border"></td>
                </tr>
                <tr>
                    <td class="table-section-border"></td>
                </tr>
            </table>
            <h3 class="table-section-header">アカウントリンク設定<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -15em;">トップページに表示されるSNSアイコンのリンク先を指定します</span></span></h3>
            <table id="account_settings">
                <?php foreach ($accounts as $i => $account) : ?>
                    <tr>
                        <th>URL%{$i+1}</th>
                        <td class="account_td"><input type="hidden" name="sns_id[]" value="%{$account['id']}"><input type="text" class="flat-input url-input" placeholder="https://～" value="%{$account['url']}" name="sns_url[]">
                            <button class="icon_select_button">アイコン選択</button><input type="hidden" placeholder="click to select" class="flat-input sns_icon_input" value="%{$account['icon']}" name="sns_icon[]">
                            <input type="file" name="sns_icon_upload[]" class="hide" accept="image/*">
                        </td>
                    </tr>
                <?php endforeach ?>
            </table>

            <h3 class="table-section-header" style="margin-top:2em;">デザイン編集<span class="tooltip"><i class="fa-solid fa-circle-info"></i><span class="tooltip-text" style="left: -15em;">cssを編集します</span></span></h3>
            <div>
                <a href="./design_edit.php">[CSS編集ページへ移動]</a>
            </div>

            <h3 class="table-section-header" style="margin-top:2em;">Twitter連携(β)</h3>
            <div>
                <table style="width:100%">
                    <tr>
                        <th>連携URL</th>
                        <td><input type="text" class="flat-input url-input" placeholder="https://～" value="%{$settings['tweet_service']}" id="tweet-service" name="tweet_service"><button id="tweet-setting" class="tweet-setting-button">連携認証</button></td>
                    </tr>
                    <tr>
                        <th>連携KEY</th>
                        <td><input type="text" class="flat-input" placeholder="" value="%{$settings['tweet_service_key']}" name="tweet_service_key"></td>
                    </tr>
                </table>
            </div>
            <h3 class="table-section-header" style="margin-top:2em;">ゲスト投稿機能</h3>
            <div>
                <p class="infomation_text">
                    管理者以外からの記事投稿を可能にする「ゲスト投稿機能」の設定です。<br>
                    この機能を有効にすると ./guest_edit.php から、管理者以外でも記事を投稿できるようになります。<br>
                </p>
                <table style="width:100%">
                    <tr>
                        <th style="width:10em;">ゲスト投稿機能</th>
                        <td><input type="hidden" name="use_guestwrite" value="0"><input type="checkbox" name="use_guestwrite" id="use_guestwrite" style="vertical-align: middle;max-width:100%;" %{$settings['use_guestwrite']}><label for="use_guestwrite" style="vertical-align: middle;">ゲストによる投稿機能を有効化する</label></td>
                    </tr>
                    <tr>
                        <th style="vertical-align:top">投稿ページ案内文</th>
                        <td><textarea name="guest_attention" id="guest_attention" style="max-width:100%;height:6em;">%{$settings['guest_attention']}</textarea><br></td>
                    </tr>
                </table>
            </div>
            <div id="control">
                <button id="save-button" id="submit" class="button" style="margin:5em auto 0 auto">保存</button>
            </div>
        </form>
        <div id="footer-area">
            powered by <a href="https://ppp.kannagi.net/" target="_blank">PictPostPersonal SBS</a> Ver. #{$version}
        </div>
    </div>
    <div class="icon_select_dialog hide">
        <div class="icon_select_dialog_cover">
            <div class="icons">
                <i class="fa-brands fa-twitter"></i>
                <i class="fa-brands fa-square-twitter"></i>
                <i class="fa-brands fa-mastodon"></i>
                <i class="fa-brands fa-facebook"></i>

                <i class="fa-solid fa-earth-americas"></i>
                <i class="fa-regular fa-envelope"></i>

                <i class="fa-brands fa-instagram"></i>
                <i class="fa-brands fa-flickr"></i>
                <i class="fa-brands fa-500px"></i>
                <i class="fa-brands fa-youtube"></i>
                <i class="fa-brands fa-tiktok"></i>

                <i class="pixiv"></i>

            </div>
            <div class="icon_file_upload_button_area">
                <button class="icon_select_button_ex">ファイルアップロード</button>
            </div>
            <div>
                <i class="icon_preview %{$account['icon']}"></i><button class="button_normal button icon_no_select_button">クリア</button> <button class="button_normal button icon_select_dialog_close_button">閉じる</button>
            </div>
        </div>
    </div>




</body>

</html>