<!doctype html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <title>%{$articles['title']} - %{$setting['site_title']}</title>

    <meta name="description" content="%{$document['card_comment']}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="theme-color" content="%{$setting['image_color']}">
    <?php if ($setting['use_favicon']) { ?>
        <link rel="icon" href="./images/userfavicon.png">
    <?php } ?>
    <!--twitter card -->
    <meta name="twitter:card" content="%{$document['card_type']}">
    <meta name="og:title" content="%{$document['card_title']}">
    <meta name="og:description" content="%{$document['card_comment']}">
    <meta name="twitter:title" content="%{$document['card_title']}">
    <meta name="twitter:description" content="%{$document['card_comment']}">
    <?php if ($document['card_thumbail'] != "") { ?>
        <meta name="og:image" content="%{$document['card_thumbail']}">
        <meta name="twitter:image" content="%{$document['card_thumbail']}">
    <?php } ?>

    <link rel="stylesheet" href="./style/recss.css">
    <link rel="stylesheet" href="./style/base.css">
    <link rel="stylesheet" href="./style/view.css">

    <link rel="stylesheet" href="./module/fontawesome/css/all.min.css" rel="preload">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./style/dialog.css">
    <script>
        backurl = '%{$back_url}';
    </script>
    <script src="./script/common.js?ver=<?= $VERSION ?>"></script>
    <link rel="stylesheet" href="./env/user.css">
    <script>
        //非同期いいね処理
        async function likeIt(id) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    type: "GET",
                    url: "./api/like_it.php",
                    data: {
                        "target": id
                    },
                    success: function(response) {
                        console.log("Success: " + response);
                        var result = JSON.parse(response);
                        resolve(result)
                    },
                    error: function() {
                        reject();
                    }
                });
            });
        }
        //非同期カウンター
        async function counter(id) {
            return new Promise((resolve, reject) => {
                $.ajax({
                    type: "GET",
                    url: "./api/counter.php",
                    data: {
                        "target": id
                    },
                    success: function(response) {
                        console.log("Success: " + response);
                        var result = JSON.parse(response);
                        resolve(result)
                    },
                    error: function() {
                        reject();
                    }
                });
            });
        }

        $(async function() {
            <?php if ($setting['use_feedback']) { ?>
                await counter(<?= $articles['id'] ?>);

                $("#like-it").on("click", async function() {
                    $("#like-heart").addClass("fa-solid");
                    $("#like-heart").removeClass("fa-regular");
                    $("#like-it").css("color", "#cc0000");
                    likes = await likeIt($(this).data("target"));
                    $('.show_like_count').html('<i id="like-heart-show" class="fa-heart fa-solid"></i> ' + likes.like);
                });
            <?php } ?>

            var scrollDistance = 1; // スクロールする距離（ピクセル単位）
            var scrollSpeed = 30; // スクロールする速度（ミリ秒単位）
            var scrollTimeout = null; // スクロールタイムアウト
            var scrollValue = 0;
            var scrollCount = 0;
            $('.vertical-text').on('mousewheel', async function(event) {
                // スクロールイベントが発生したら、一定時間保留してスクロール処理を実行する
                event.preventDefault();
                var delta = event.originalEvent.deltaY;
                scrollValue += (delta * scrollDistance);
                scrollCount++;
                clearTimeout(scrollTimeout);
                scrollTimeout = setTimeout(function() {
                    var scrollLeft = $('.vertical-text').scrollLeft();
                    $('.vertical-text').animate({
                        scrollLeft: scrollLeft - scrollValue
                    }, scrollCount * 10);
                    scrollValue = 0;
                    scrollCount = 0;
                }, 5);
            });
            $('.vertical-text').on('DOMMouseScroll', async function(event) {
                // スクロールイベントが発生したら、一定時間保留してスクロール処理を実行する(Firefox用)
                event.preventDefault();
                var scrollAmount = event.originalEvent.detail * 10;
                scrollValue += scrollAmount
                scrollCount++;
                clearTimeout(scrollTimeout);
                scrollTimeout = setTimeout(function() {
                    var scrollLeft = $('.vertical-text').scrollLeft();
                    $('.vertical-text').animate({
                        scrollLeft: scrollLeft - scrollValue
                    }, scrollCount * 10);
                    scrollValue = 0;
                    scrollCount = 0;
                }, 5);
            });
            $('.vt-controler-1').bind('click', function() {
                $('.vertical-text').css("font-size", "1em");
            });
            $('.vt-controler-2').bind('click', function() {
                $('.vertical-text').css("font-size", "1.5em");
            });
            $('.vt-controler-3').bind('click', function() {
                $('.vertical-text').css("font-size", "2em");
            });

        });
    </script>
</head>

<body>
    <?php if ($login) { ?>
        <div id="console-header">
            <?php if ($setting['use_feedback']) { ?>
                <span class='nowarp'><span class='like-it'><i class='fa-regular fa-eye'></i> %{$articles['views']}</span></span>&nbsp;
                <span class='nowarp'><span class='like-it'><i id='like_heart' class='fa-regular fa-heart'></i> %{$articles['like']}</span></span>&nbsp;
            <?php } ?>
            <a href="./edit.php?id=%{$articles['id']}"><i class="fa-regular fa-pen-to-square"></i></a>
            <div id="header-option-link-area">
                <a href="./edit.php">+<span class="sp-hide">新規</span>投稿</a>
                <span id="notification-link" style="cursor:pointer"><i id="notification" class="fa-regular fa-bell font-size:1em"></i></span>
                <a id="setting-link" href="./setting.php"><i class="fa-solid fa-gear font-size:1em"></i><span class="sp-hide">設定</span></a>
                <a id="logout-link" href="./logout.php">ログアウト</a>
            </div>
        </div>
        <script src="./script/console.js?ver=<?= $VERSION ?>"></script>
        <script src="./script/dialog.js?ver=<?= $VERSION ?>"></script>
        <link rel="stylesheet" href="./style/dialog.css">
    <?php } ?>
    <div id="global-header">
        <a href="./">
            %{$setting['site_title']}
        </a>
    </div>
    <div id="header">
        <span id="top-link" class="header-link-exit historyback">
            &lt; 戻る
        </span>
    </div>
    <div id="base">
        <div id="contents-area">
            <h1>%{$articles['title']}</h1><?php if ($delete_link != "") {
                                                echo "[ゲスト投稿記事]";
                                            } ?>
            <?php if ($articles['mode'] == "normal") { ?>
                <div id="caption">
                    #{$articles['comment']}<br>
                </div>
                <div id="tag-links">#{$articles['tags']}</div><br>
                <span id='created_at'>%{$articles['created_at']}</span>
                <div id="content">
                    #{$articles['previews']}
                </div>
            <?php } elseif ($articles['mode'] == "text") { ?>
                <div id="caption">
                    #{$caption}<br>
                </div>
                <div id="tag-links">#{$articles['tags']}</div><br>
                <span id='created_at'>#{$articles['created_at']}</span><br>
                <div id="text-content">
                    #{$articles['comment']}<br>
                </div>
            <?php } else { ?>
                <div id="caption">
                    #{$caption}<br>
                </div>
                <div id="tag-links">#{$articles['tags']}</div><br>
                <span id='created_at'>#{$articles['created_at']}</span><br>
                <div id="content">
                    #{$articles['comment']}<br>
                </div>
            <?php }  ?>
        </div>
        <div id="control">
            <?php if ($setting['use_feedback']) { ?>
                #{$articles['show_likes']}<span id="like-it" data-target="%{$articles['id']}"><i id="like-heart" class="fa-regular fa-heart"></i> いいね！</span><br>
                <a href="https://twitter.com/share?ref_src=twsrc%5Etfw" target="_blank" class="twitter-share-button" data-show-count="false">Tweet</a><br>
                <script async src="https://platform.twitter.com/widgets.js?ver=<?= $VERSION ?>" charset="utf-8"></script><br>
            <?php } ?>
            <?php if ($setting['move_link_type'] > 0) { ?>
                <div class="move_control">
                    #{$move_next} | #{$move_prev}
                </div>
            <?php } ?>
            <button id="return-button" class="button button_normal historyback">戻る</button>
        </div>
        <footer id="footer-area">
            copyright %{$setting['display_name']} <a href="./edit.php?id=%{$articles['id']}"><i class="fa-regular fa-pen-to-square"></i></a><br>
            powered by <a href="https://ppp.kannagi.net/" target="_blank">PictPostPersonal SBS</a>
        </footer>
        #{$delete_link}
    </div>

    <script>
        $("img").on("click", function() {
            $('body').imageDialog($(this).data('src'), $(this).data('width'), $(this).data('height'));
        });
    </script>

</body>

</html>