<?php

//トークンを発行し、保存します
function publishToken($rel, $uid)
{

    // トークンを生成する
    $token = bin2hex(random_bytes(20));

    if (empty($_SERVER['HTTPS'])) {
        //HTTPの場合、短期間トークンにする
        $expiration = time() + (3 * 60 * 60); // 有効期限は3時間
        file_put_contents("{$rel}env/tokens.php", "$token, $uid, $expiration\n", FILE_APPEND);
        setcookie(
            'n-token',
            $token
        );
    } else {
        // トークンの保存とTokenCookie発行
        $expiration = time() + (30 * 24 * 60 * 60); // 有効期限は30日後
        file_put_contents("{$rel}env/tokens.php", "$token, $uid, $expiration\n", FILE_APPEND);
        setcookie(
            'token',
            $token,
            $expiration,
            '',
            '',
            true,
            true
        );
    }
}

//トークンを破棄します
function clearToken($rel)
{

    if (empty($_SERVER['HTTPS'])) {
        //HTTPの場合、短期間トークンにする
        $user_token = filter_input(INPUT_COOKIE, 'n-token');
        if ($user_token) {
            // トークンをファイルから読み込む
            $tokens = explode("\n", file_get_contents("{$rel}env/tokens.php"));
            $wtokens = "";
            foreach ($tokens as $token_info) {
                $token_data = explode(",", $token_info);
                if (count($token_data) == 3 && $token_data[2] > time() && $token_data[0] != $user_token) {
                    $wtokens = $wtokens . "{$token_data[0]},{$token_data[1]},{$token_data[2]}\n";
                }
            }
            file_put_contents("{$rel}env/tokens.php", $wtokens);
        }
        setcookie(
            'n-token',
            "--",
            time() + 1
        );
    } else {
        $user_token = filter_input(INPUT_COOKIE, 'token');
        if ($user_token) {
            // トークンをファイルから読み込む
            $tokens = explode("\n", file_get_contents("{$rel}env/tokens.php"));
            $wtokens = "";
            foreach ($tokens as $token_info) {
                $token_data = explode(",", $token_info);
                if (count($token_data) == 3 && $token_data[2] > time() && $token_data[0] != $user_token) {
                    $wtokens = $wtokens . "{$token_data[0]},{$token_data[1]},{$token_data[2]}\n";
                }
            }
            file_put_contents("{$rel}env/tokens.php", $wtokens);
        }
        setcookie(
            'token',
            "--",
            time() + 1
        );
    }
}

function refreshToken($rel)
{
    // トークンをファイルから読み込む
    $tokens = explode("\n", file_get_contents("{$rel}env/tokens.php"));
    $wtokens = "";
    if (empty($_SERVER['HTTPS'])) {
        $user_token = filter_input(INPUT_COOKIE,  'n-token');
    } else {
        $user_token = filter_input(INPUT_COOKIE,  'token');
    }
    foreach ($tokens as $token_info) {

        $token_data = explode(",", $token_info);
        // 有効期限が切れていないトークンを取り出す
        if (count($token_data) == 3 && $token_data[2] > time()) {
            if ($token_data[0] == $user_token) {
                // 新しいトークンを生成する
                $new_token = bin2hex(random_bytes(20));
                $expiration = time() + (30 * 24 * 60 * 60); // 有効期限は30日後
                $wtokens = $wtokens . "{$new_token},{$token_data[1]},$expiration\n";
            } else {
                $wtokens = $wtokens . "{$token_data[0]},{$token_data[1]},{$token_data[2]}\n";
            }
        }
    }
    file_put_contents("{$rel}env/tokens.php", $wtokens);
    if (empty($_SERVER['HTTPS'])) {
        setcookie(
            'n-token',
            $new_token
        );
    } else {
        setcookie(
            'token',
            $new_token,
            $expiration,
            '',
            '',
            true,
            true
        );
    }
}

function checkToken($rel)
{
    // トークンをファイルから読み込む
    $tokens = explode("\n", file_get_contents("{$rel}env/tokens.php"));
    $valid_tokens = array();

    foreach ($tokens as $token_info) {
        $token_data = explode(",", $token_info);
        // 有効期限が切れていないトークンを取り出す
        if (count($token_data) == 3 && $token_data[2] > time()) {
            $valid_tokens[$token_data[0]] = $token_data[1];
        }
    }

    // トークンが有効か確認する
    if (empty($_SERVER['HTTPS'])) {
        $user_token = filter_input(INPUT_COOKIE,  'n-token');
    } else {
        $user_token = filter_input(INPUT_COOKIE,  'token');
    }
    if ($user_token && isset($valid_tokens[$user_token])) {
        return $user_token;
    } else {
        return null;
    }
}
