<?php

ini_set('display_errors', "On");

//共通処理呼び出し
$require_login = true; //ログイン必要
require_once("./common.php");

addColumn($db, "setting", "tweet_service_key", "TEXT", "");
addColumn($db, "setting", "tweet_service", "TEXT", "'https://ppp.kannagi.net/tweet/'");
addColumn($db, "articles", "color", "TEXT", "");
addColumn($db, "setting", "use_feedback", "BOOLEAN", "1");
if (addColumn($db, "articles", "style", "integer", "0")) {
    $db->exec("update articles set style=1 where use_full_html=1");
    $db->exec("update articles set style=0 where use_full_html=0");
}
addColumn($db, "articles", "from_ip", "TEXT", "");
addColumn($db, "articles", "delete_key", "TEXT", "");

addColumn($db, "setting", "move_link_type", "INTEGER", "1");
addColumn($db, "setting", "use_comment", "BOOLEAN", "0");
addColumn($db, "setting", "mail_address", "TEXT", "");
addColumn($db, "setting", "use_ogimage", "BOOLEAN", "0");
addColumn($db, "setting", "show_title", "BOOLEAN", "0");
addColumn($db, "setting", "resize_border", "INTEGER", "1980");
addColumn($db, "setting", "exclude_index_list_tag", "TEXT", "");
addColumn($db, "setting", "use_guestwrite", "BOOLEAN", "0");
addColumn($db, "setting", "use_portal_feed", "BOOLEAN", "0");
addColumn($db, "setting", "portal_tags", "BOOLEAN", "0");
addColumn($db, "setting", "portal_feed_urls", "TEXT", "");
addColumn($db, "setting", "exclude_portal_post_tags", "TEXT", "");
if (addColumn($db, "setting", "portal_post_tags", "TEXT", "")) {
    $db->exec("update articles set tags = ' ' || tags || ' '");
}



if (addColumn($db, "setting", "show_likes", "BOOLEAN", "0")) {
    updateDelkey($db);
}
addColumn($db, "setting", "guest_attention", "TEXT", "");
if (addColumn($db, "images", "image_id", "INTEGER", "")) {
    $db->exec("update images set image_id = sort");
}
addColumn($db, "setting", "use_mini_banner", "BOOLEAN", "0");

createTable($db, "comments", "
        CREATE TABLE [comments] (
            [id] INTEGER PRIMARY KEY AUTOINCREMENT,
            [target] INTEGER,
            [from_owner] BOOLEAN,
            [replay_to_id] INTEGER,
            [created_at] DATETIME,
            [from_ip] TEXT,
            [sender_name] TEXT,
            [sender_address] TEXT,
            [message] TEXT
            );
        ");
if (createTable($db, "templates", "
        CREATE TABLE [templates] (
            [id] INTEGER PRIMARY KEY AUTOINCREMENT,
            [template_name] TEXT,
            [template_sort] INTEGER DEFAULT '10',
            [value] TEXT,
            [option1] TEXT,
            [option2] TEXT,
            [option3] TEXT,
            [option4] TEXT,
            [option5] TEXT
            );
        ")) {
    $db->exec("insert into templates (template_name, value) values('share','新しい記事を投稿しました\r\n{title} - {site_title}\r\n{append}{tags}\r\n\r\n{url}');");
}

if (addColumn($db, "images", "type", "TEXT", "image")) {
    $db->exec("update images set type = 'image'");
}
if (!file_exists("./images/upd")) {
    mkdir("./images/upd", 0755);
    $fp = fopen("./images/upd/index.html", "w");
    fclose($fp);
}

//テンプレートキャッシュをクリア
$files = glob("./templates" . '/*.cache');
foreach ($files as $file) {
    if (is_file($file)) {
        unlink($file);
    }
}

echo "アップデートが完了しました";

$db->close();

exit;

function createTable($db, $table_name, $create_sql)
{
    $sql = "SELECT name FROM sqlite_master WHERE type='table' AND name='{$table_name}'";

    // クエリーを実行して結果を取得
    $result = $db->querySingle($sql);

    // 結果がNULLでなければ、テーブルが存在する
    if ($result == NULL) {
        $db->exec($create_sql);
        echo "{$table_name}を追加<br>";
        return true;
    }
    return false;
}

//指定されたテーブルにカラムを追加する。(すでにある場合は無視)
// $db -> DB接続
// $table -> テーブル名
// $column -> カラム名
// $type -> 型
// $default -> デフォルト値。省略可。
// $optionSQL -> カラムを追加した場合に実行するSQL
function addColumn($db, $table, $column, $type, $default, $optionSQL = "")
{
    $columns = array();
    $result = $db->query("PRAGMA table_info($table)");
    $default_set = "";
    while ($row = $result->fetchArray(SQLITE3_ASSOC)) {
        $columns[] = $row['name'];
    }
    if ($default) {
        $default_set = " Default " . $default;
    }
    // 追加しようとするカラムが存在しない場合に追加
    if (!in_array($column, $columns)) {
        $query = "ALTER TABLE $table ADD COLUMN $column $type $default_set";
        $db->exec($query);
        echo $table . " に " . $column . "を追加<br>";

        if ($default) {
            $query = "update $table set $column = '$default'";
            $db->exec($query);
        }

        return true;
    }
    return false;
}

function updateDelkey($db)
{
    $results = $db->query('SELECT * FROM articles where delete_key is not null and delete_key != ""');
    while ($row = $results->fetchArray()) {
        $password_hash = password_hash($row['delete_key'], PASSWORD_DEFAULT);
        $db->exec("UPDATE articles SET delete_key='$password_hash' WHERE id=" . $row['id']);
    }
}
